import 'package:json_annotation/json_annotation.dart';
import 'package:apus_drones_mobile/models/ProductModel.dart';

part 'OrderItemModel.g.dart';

@JsonSerializable()
class OrderItemModel {
  final int id;
  int quantity;
  final double price;
  final ProductModel product;

  OrderItemModel({
    required this.id,
    required this.quantity,
    required this.price,
    required this.product,
  });

  factory OrderItemModel.fromJson(Map<String, dynamic> json) =>
      _$OrderItemModelFromJson(json);
  Map<String, dynamic> toJson() => _$OrderItemModelToJson(this);
}
