import 'package:flutter/material.dart';

class WeightAlert {
  static show(BuildContext context) {
    Widget okButton = ElevatedButton(
      style: ElevatedButton.styleFrom(
          primary: Colors.grey.shade100, onPrimary: Colors.black),
      child: Text("Ok"),
      onPressed: () => Navigator.pop(context, false),
    );
    AlertDialog alert = AlertDialog(
      content: Text(
          "Não é possível adicionar mais itens ao seu carrinho, pois o peso ultrapassa o limite."),
      actions: [okButton],
    );
    showDialog(
      context: context,
      builder: (BuildContext context) => alert,
    );
  }
}
